Bug 185737 - www/squidguard not work whith Berkley DB 6.0
www/squidguard not work whith Berkley DB 6.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 07:40 UTC by nlv
Modified: 2014-01-14 22:40 UTC (History)
0 users

See Also:


Attachments
sg.diff (999 bytes, patch)
2014-01-14 11:35 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nlv 2014-01-13 07:40:00 UTC
db update of squidGuard fail
/usr/local/bin/squidGuard -C all
BDB1565 DB->put: method not permitted before handle's open method
Comment 1 Edwin Groothuis freebsd_committer 2014-01-14 04:55:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2014-01-14 11:35:47 UTC
Hi,

Thanks for reporting this!

Can you please test the attached patch and report back?

Thanks in advance.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 nevecheryalv 2014-01-14 16:06:29 UTC
It`s work

-----Original Message-----
From: Guido Falsi [mailto:madpilot@FreeBSD.org] 
Sent: Tuesday, January 14, 2014 3:36 PM
To: bug-followup@FreeBSD.org; nlv@imbera.ru
Subject: Re: ports/185737: www/squidguard not work whith Berkley DB 6.0

Hi,

Thanks for reporting this!

Can you please test the attached patch and report back?

Thanks in advance.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 dfilter freebsd_committer 2014-01-14 17:29:29 UTC
Author: madpilot
Date: Tue Jan 14 17:29:21 2014
New Revision: 339702
URL: http://svnweb.freebsd.org/changeset/ports/339702
QAT: https://qat.redports.org/buildarchive/r339702/

Log:
  Fix when compiled with BerkeleyDB 6.
  
  PR:		ports/185737
  Submitted by:	Leonid Nevecherya <nlv@imbera.ru>

Modified:
  head/www/squidguard/Makefile
  head/www/squidguard/files/patch-src_sgDB.c   (contents, props changed)

Modified: head/www/squidguard/Makefile
==============================================================================
--- head/www/squidguard/Makefile	Tue Jan 14 16:59:44 2014	(r339701)
+++ head/www/squidguard/Makefile	Tue Jan 14 17:29:21 2014	(r339702)
@@ -2,7 +2,7 @@
 
 PORTNAME=	squidGuard
 PORTVERSION=	1.4
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	www
 MASTER_SITES=	http://www.squidguard.org/Downloads/:a \
 		http://www.squidguard.org/Downloads/Contrib/:b

Modified: head/www/squidguard/files/patch-src_sgDB.c
==============================================================================
--- head/www/squidguard/files/patch-src_sgDB.c	Tue Jan 14 16:59:44 2014	(r339701)
+++ head/www/squidguard/files/patch-src_sgDB.c	Tue Jan 14 17:29:21 2014	(r339702)
@@ -1,5 +1,5 @@
 --- src/sgDb.c.orig	2008-07-14 20:29:41.000000000 +0200
-+++ src/sgDb.c	2011-11-15 12:00:23.744601663 +0100
++++ src/sgDb.c	2014-01-14 11:53:55.712138134 +0100
 @@ -119,14 +119,39 @@
      flag = DB_CREATE;
      if(createdb)
@@ -24,7 +24,7 @@
 +    }
 +  }
 +#endif
-+#if DB_VERSION_MAJOR == 5
++#if DB_VERSION_MAJOR >= 5
 +  if(globalUpdate || createdb || (dbfile != NULL && stat(dbfile,&st))){
 +    flag = DB_CREATE;
 +    if(createdb)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Guido Falsi freebsd_committer 2014-01-14 17:30:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter freebsd_committer 2014-01-14 22:32:44 UTC
Author: madpilot
Date: Tue Jan 14 22:32:37 2014
New Revision: 339729
URL: http://svnweb.freebsd.org/changeset/ports/339729
QAT: https://qat.redports.org/buildarchive/r339729/

Log:
  MFH: r339702
  
  Fix when compiled with BerkeleyDB 6.
  
  PR:		ports/185737
  Submitted by:	Leonid Nevecherya <nlv@imbera.ru>
  
  Approved by:	portmgr (mat)

Modified:
  branches/2014Q1/www/squidguard/Makefile
  branches/2014Q1/www/squidguard/files/patch-src_sgDB.c   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/www/squidguard/Makefile
==============================================================================
--- branches/2014Q1/www/squidguard/Makefile	Tue Jan 14 22:04:12 2014	(r339728)
+++ branches/2014Q1/www/squidguard/Makefile	Tue Jan 14 22:32:37 2014	(r339729)
@@ -2,7 +2,7 @@
 
 PORTNAME=	squidGuard
 PORTVERSION=	1.4
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	www
 MASTER_SITES=	http://www.squidguard.org/Downloads/:a \
 		http://www.squidguard.org/Downloads/Contrib/:b

Modified: branches/2014Q1/www/squidguard/files/patch-src_sgDB.c
==============================================================================
--- branches/2014Q1/www/squidguard/files/patch-src_sgDB.c	Tue Jan 14 22:04:12 2014	(r339728)
+++ branches/2014Q1/www/squidguard/files/patch-src_sgDB.c	Tue Jan 14 22:32:37 2014	(r339729)
@@ -1,5 +1,5 @@
 --- src/sgDb.c.orig	2008-07-14 20:29:41.000000000 +0200
-+++ src/sgDb.c	2011-11-15 12:00:23.744601663 +0100
++++ src/sgDb.c	2014-01-14 11:53:55.712138134 +0100
 @@ -119,14 +119,39 @@
      flag = DB_CREATE;
      if(createdb)
@@ -24,7 +24,7 @@
 +    }
 +  }
 +#endif
-+#if DB_VERSION_MAJOR == 5
++#if DB_VERSION_MAJOR >= 5
 +  if(globalUpdate || createdb || (dbfile != NULL && stat(dbfile,&st))){
 +    flag = DB_CREATE;
 +    if(createdb)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"